Gecode::FlatZinc::OutputOrder Class Reference

Strict weak ordering for output items. More...

`#include <parser.hh>`

## Public Member Functions

bool | operator() (const std::pair< std::string, AST::Node * > &x, const std::pair< std::string, AST::Node * > &y)
| Return if x is less than y, based on first component.

## Detailed Description

Strict weak ordering for output items.

Definition at line 75 of file parser.hh.

## Member Function Documentation

## operator()()

bool Gecode::FlatZinc::OutputOrder::operator() | ( | const std::pair< std::string, AST::Node * > & | x,
|  | const std::pair< std::string, AST::Node * > & | y )

inline

Return if x is less than y, based on first component.

Definition at line 78 of file parser.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/parser.hh